Skip to main content
GET
/
buckets
/
{filesystem}
/
keys
List object storage keys
curl --request GET \
  --url https://cloud.laravel.com/api/buckets/{filesystem}/keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "filesystemKeys",
      "attributes": {
        "name": "<string>",
        "permission": "read_write",
        "access_key_id": "<string>",
        "access_key_secret": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "filesystem": {
          "data": {
            "type": "filesystems",
            "id": "<string>"
          }
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  },
  "included": [
    {
      "id": "<string>",
      "type": "filesystems",
      "attributes": {
        "name": "<string>",
        "type": "cloudflare_r2",
        "status": "creating",
        "visibility": "private",
        "jurisdiction": "default",
        "endpoint": "<string>",
        "url": "<string>",
        "allowed_origins": "<string>",
        "cors_settings": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "keys": {
          "data": [
            {
              "type": "filesystemKeys",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

filesystem
string
required

The filesystem identifier

Query Parameters

include
string

Available includes are filesystem. You can include multiple options by separating them with a comma.

Response

Paginated set of FilesystemKeyResource

data
FilesystemKeyResource · object[]
required
meta
object
required
included
FilesystemResource · object[]